import request from '@/config/axios'

// 获取投递分页列表
export const getHireJobCvPage = async (params) => {
  return await request.get({
    url: '/app-admin-api/menduner/system/person-cv/hire/page',
    params
  })
}

// 获取推荐人的用户列表
export const getHireJobCvRelRecommendList = async () => {
  return await request.get({
    url: '/app-admin-api/menduner/system/hire-job-cv-rel/recommend/list'
  })
}

// 结算
export const hireJobCvRelSettlement = async (id) => {
  return await request.post({
    url: `/app-admin-api/menduner/system/person-cv/settlement?id=${id}`
  })
}

// 入职
export const hireJobCvRelEntry = async (id) => {
  return await request.post({
    url: `/app-admin-api/menduner/system/person-cv/entry?id=${id}`
  })
}

// 淘汰、不合适
export const hireJobCvRelEliminate = async (ids) => {
  return await request.post({
    url: `/app-admin-api/menduner/system/person-cv/eliminate?ids=${ids}`
  })
}

// 记录查看简历附件
export const hireJobCvRelLook = async (id) => {
  return await request.post({
    url: `/app-admin-api/menduner/system/person-cv/look?id=${id}`
  })
}